#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(NULL);
    string s="";
    int n,k;
    cin>>n>>k;


    char ch;
    for(int i=0;i<n;i++)
    {
        cin>>ch;
        s+=ch;
    }
     if(k==1)
    {
    string mini=s.substr(1);
    for(int i=1;i<n;i++)
    {
        if(mini>s.substr(0,i)+s.substr(i+1))
            mini=s.substr(0,i)+s.substr(i+1);
    }
    for(int i=0;i<n-1;i++)
    {
        if(i==n-2)
        cout<<mini[i];
        else
            cout<<mini[i]<<" ";

    }
    }
    else cout<<0;



    return 0;
}